#ifndef PLUGIN_QTIMERWIDGET_H
#define PLUGIN_QTIMERWIDGET_H

#include <QObject>
#if QT_VERSION >= 0x050000
#  include <QtUiPlugin/QDesignerCustomWidgetInterface>
#else
#  include <QDesignerCustomWidgetInterface>
#endif

class QTimerWidgetPlugin: public QObject, public QDesignerCustomWidgetInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetInterface)

public:
	QTimerWidgetPlugin(QObject * parent = 0);

	bool isContainer() const;
	bool isInitialized() const;
	QIcon icon() const;
	QString domXml() const;
	QString group() const;
	QString includeFile() const;
	QString name() const;
	QString toolTip() const;
	QString whatsThis() const;
	QWidget * createWidget(QWidget * parent);
	void initialize(QDesignerFormEditorInterface * core);

private:
	bool m_initialized, m_designer;

};

#endif // PLUGIN_QTIMERWIDGET_H
